SeExpr

Public Member Functions | Public Attributes | Private Attributes | List of all members
ExprTreeItem Class Reference

## Public Member Functions
| ExprTreeItem (ExprTreeItem *parent, const QString &label, const QString &path)
| ~ExprTreeItem ()
ExprTreeItem * | find (QString path)
void | clear ()
void | populate ()
void | addChild (ExprTreeItem *child)
ExprTreeItem * | getChild (const int row)
int | getChildCount ()
void | regen ()

## Public Attributes
int | row
ExprTreeItem * | parent
QString | label
QString | path

## Private Attributes
std::vector< ExprTreeItem * > | children
bool | populated

## Detailed Description

Definition at line 43 of file ExprBrowser.cpp.

## Constructor & Destructor Documentation

## ◆ ExprTreeItem()

ExprTreeItem::ExprTreeItem | ( | ExprTreeItem * | parent,
|  | const QString & | label,
|  | const QString & | path
| ) |  |
| inline

Definition at line 45 of file ExprBrowser.cpp.

Referenced by populate(), and regen().

## ◆ ~ExprTreeItem()

ExprTreeItem::~ExprTreeItem | ( |  | ) |
| inline

Definition at line 48 of file ExprBrowser.cpp.

References children.

## Member Function Documentation

## ◆ addChild()

void ExprTreeItem::addChild | ( | ExprTreeItem * | child | ) |
| inline

Definition at line 89 of file ExprBrowser.cpp.

References children, and row.

Referenced by ExprTreeModel::addPath(), populate(), and regen().

## ◆ clear()

void ExprTreeItem::clear | ( |  | ) |
| inline

Definition at line 65 of file ExprBrowser.cpp.

References children.

Referenced by ExprTreeModel::clear().

## ◆ find()

ExprTreeItem* ExprTreeItem::find | ( | QString | path | ) |
| inline

Definition at line 52 of file ExprBrowser.cpp.

References children, path, and populate().

Referenced by ExprTreeModel::find().

## ◆ getChild()

ExprTreeItem* ExprTreeItem::getChild | ( | const int | row | ) |
| inline

Definition at line 94 of file ExprBrowser.cpp.

References children, populate(), and row.

Referenced by ExprTreeModel::index().

## ◆ getChildCount()

int ExprTreeItem::getChildCount | ( |  | ) |
| inline

Definition at line 102 of file ExprBrowser.cpp.

References children, and populate().

Referenced by ExprTreeModel::rowCount().

## ◆ populate()

void ExprTreeItem::populate | ( |  | ) |
| inline

Definition at line 72 of file ExprBrowser.cpp.

References addChild(), ExprTreeItem(), it, path, and populated.

Referenced by find(), getChild(), and getChildCount().

## ◆ regen()

void ExprTreeItem::regen | ( |  | ) |
| inline

Definition at line 107 of file ExprBrowser.cpp.

References addChild(), children, ExprTreeItem(), label, and path.

Referenced by ExprTreeModel::find().

## Member Data Documentation

## ◆ children

std::vector<ExprTreeItem*> ExprTreeItem::children
| private

Definition at line 125 of file ExprBrowser.cpp.

Referenced by addChild(), clear(), find(), getChild(), getChildCount(), regen(), and ~ExprTreeItem().

## ◆ label

QString ExprTreeItem::label

Definition at line 121 of file ExprBrowser.cpp.

Referenced by ExprTreeModel::data(), and regen().

## ◆ parent

ExprTreeItem* ExprTreeItem::parent

Definition at line 120 of file ExprBrowser.cpp.

Referenced by ExprTreeModel::parent().

## ◆ path

QString ExprTreeItem::path

Definition at line 122 of file ExprBrowser.cpp.

Referenced by find(), ExprBrowser::getSelectedPath(), ExprBrowser::handleSelection(), populate(), and regen().

## ◆ populated

bool ExprTreeItem::populated
| private

Definition at line 126 of file ExprBrowser.cpp.

Referenced by populate().

## ◆ row

int ExprTreeItem::row

Definition at line 119 of file ExprBrowser.cpp.

Referenced by addChild(), ExprTreeModel::find(), getChild(), and ExprTreeModel::parent().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprBrowser.cpp